Submit a contribution
curl --request POST \
--url https://api.openvinyl.dev/v1/contributions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target_kind": "pressing",
"field": "runout_b",
"value": "07863-680451 B SNA",
"submitter": "<string>",
"release_id": 383812,
"album_id": "<string>",
"client": "<string>",
"evidence": {}
}
'import requests
url = "https://api.openvinyl.dev/v1/contributions"
payload = {
"target_kind": "pressing",
"field": "runout_b",
"value": "07863-680451 B SNA",
"submitter": "<string>",
"release_id": 383812,
"album_id": "<string>",
"client": "<string>",
"evidence": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
target_kind: 'pressing',
field: 'runout_b',
value: '07863-680451 B SNA',
submitter: '<string>',
release_id: 383812,
album_id: '<string>',
client: '<string>',
evidence: {}
})
};
fetch('https://api.openvinyl.dev/v1/contributions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openvinyl.dev/v1/contributions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'target_kind' => 'pressing',
'field' => 'runout_b',
'value' => '07863-680451 B SNA',
'submitter' => '<string>',
'release_id' => 383812,
'album_id' => '<string>',
'client' => '<string>',
'evidence' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openvinyl.dev/v1/contributions"
payload := strings.NewReader("{\n \"target_kind\": \"pressing\",\n \"field\": \"runout_b\",\n \"value\": \"07863-680451 B SNA\",\n \"submitter\": \"<string>\",\n \"release_id\": 383812,\n \"album_id\": \"<string>\",\n \"client\": \"<string>\",\n \"evidence\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openvinyl.dev/v1/contributions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"target_kind\": \"pressing\",\n \"field\": \"runout_b\",\n \"value\": \"07863-680451 B SNA\",\n \"submitter\": \"<string>\",\n \"release_id\": 383812,\n \"album_id\": \"<string>\",\n \"client\": \"<string>\",\n \"evidence\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openvinyl.dev/v1/contributions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"target_kind\": \"pressing\",\n \"field\": \"runout_b\",\n \"value\": \"07863-680451 B SNA\",\n \"submitter\": \"<string>\",\n \"release_id\": 383812,\n \"album_id\": \"<string>\",\n \"client\": \"<string>\",\n \"evidence\": {}\n}"
response = http.request(request)
puts response.read_body{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Contributions
Submit a contribution
Submit a missing or corrected value for a pressing or album. It is stored for review and does not change the catalog.
Send facts from a photo in evidence (for example barcode_decoded), never the photo. Automatic checks run on submit (barcode check digit, whether the value is already known, agreement with derived values) and are returned in checks.
POST
/
v1
/
contributions
Submit a contribution
curl --request POST \
--url https://api.openvinyl.dev/v1/contributions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target_kind": "pressing",
"field": "runout_b",
"value": "07863-680451 B SNA",
"submitter": "<string>",
"release_id": 383812,
"album_id": "<string>",
"client": "<string>",
"evidence": {}
}
'import requests
url = "https://api.openvinyl.dev/v1/contributions"
payload = {
"target_kind": "pressing",
"field": "runout_b",
"value": "07863-680451 B SNA",
"submitter": "<string>",
"release_id": 383812,
"album_id": "<string>",
"client": "<string>",
"evidence": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
target_kind: 'pressing',
field: 'runout_b',
value: '07863-680451 B SNA',
submitter: '<string>',
release_id: 383812,
album_id: '<string>',
client: '<string>',
evidence: {}
})
};
fetch('https://api.openvinyl.dev/v1/contributions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openvinyl.dev/v1/contributions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'target_kind' => 'pressing',
'field' => 'runout_b',
'value' => '07863-680451 B SNA',
'submitter' => '<string>',
'release_id' => 383812,
'album_id' => '<string>',
'client' => '<string>',
'evidence' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openvinyl.dev/v1/contributions"
payload := strings.NewReader("{\n \"target_kind\": \"pressing\",\n \"field\": \"runout_b\",\n \"value\": \"07863-680451 B SNA\",\n \"submitter\": \"<string>\",\n \"release_id\": 383812,\n \"album_id\": \"<string>\",\n \"client\": \"<string>\",\n \"evidence\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openvinyl.dev/v1/contributions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"target_kind\": \"pressing\",\n \"field\": \"runout_b\",\n \"value\": \"07863-680451 B SNA\",\n \"submitter\": \"<string>\",\n \"release_id\": 383812,\n \"album_id\": \"<string>\",\n \"client\": \"<string>\",\n \"evidence\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openvinyl.dev/v1/contributions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"target_kind\": \"pressing\",\n \"field\": \"runout_b\",\n \"value\": \"07863-680451 B SNA\",\n \"submitter\": \"<string>\",\n \"release_id\": 383812,\n \"album_id\": \"<string>\",\n \"client\": \"<string>\",\n \"evidence\": {}\n}"
response = http.request(request)
puts response.read_body{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Body
application/json
Response
Successful Response
The response is of type Response Contribute V1 Contributions Post · object.